Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Link_Attributes_i Class Reference

This class stores, allows access to and modification of trader's link attributes. More...

`#include <Trader.h>`

Collaboration diagram for TAO_Link_Attributes_i:

[legend]
List of all members.

## Public Methods
| TAO_Link_Attributes_i (TAO_Lockable &locker)
| ~TAO_Link_Attributes_i ()
CosTrading::FollowOption | max_link_follow_policy (void) const
void | max_link_follow_policy (CosTrading::FollowOption)
## Private Attributes
TAO_Lockable & | locker_
| A reference to the trader (needed for obtaining the lock.).
CosTrading::FollowOption | max_link_follow_policy_

## Detailed Description

This class stores, allows access to and modification of trader's link attributes.

Contains a reference to the trader from which it is used so it can use trader's lock.

## Constructor & Destructor Documentation

TAO_Link_Attributes_i::TAO_Link_Attributes_i | ( | TAO_Lockable & | locker | ) |

TAO_Link_Attributes_i::~TAO_Link_Attributes_i | ( |  | ) |

## Member Function Documentation

void TAO_Link_Attributes_i::max_link_follow_policy | ( | CosTrading::FollowOption |  | ) |

CosTrading::FollowOption TAO_Link_Attributes_i::max_link_follow_policy | ( | void |  | ) | const

## Member Data Documentation

TAO_Lockable& TAO_Link_Attributes_i::locker_`[private]`

| A reference to the trader (needed for obtaining the lock.).

CosTrading::FollowOption TAO_Link_Attributes_i::max_link_follow_policy_`[private]`

The documentation for this class was generated from the following files:

- Trader.h
- Trader.cpp